Subject: bug#32868: closed (Re: bug#32868: [PATCH v2] m4: rework silent-rules macros to avoid double expansion)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Mar 2022 06:53:02 +0000

Your bug report

#32868: Check if make supports nested variables is done twice when using silent rules

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32868: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32868
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32868: [PATCH v2] m4: rework silent-rules macros to avoid double expansion
From: Mike Frysinger <[email-masked]>
To: Karl Berry <[email-masked]>
Cc: [email-masked]
Date: Tue, 1 Mar 2022 01:52:07 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 28 Feb 2022 15:58, Karl Berry wrote:
>     Fixes automake bug https://bugs.gnu.org/32868.
> 
> Looks fine to me.
> 
>     +./configure -C
>     +grep '^AM_DEFAULT_VERBOSITY = 1' Makefile
> 
> Good :).
> 
> I remain steadfastly opposed to (ever) changing the default to be silent
> rules, as we've already discussed ad nauseam :).

we shall see :p
-mike

Subject: Re: Check if make supports nested variables is done twice when using silent rules
From: Eric Blake <[email-masked]>
To: Jacob Kroon <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 28 Sep 2018 15:36:40 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 9/28/18 1:47 PM, Jacob Kroon wrote:
> Hi,
> 
> If I use AM_SILENT_RULES([yes]) in my configure.ac, when I run the
> configure scripts I see this:
> ...
> checking whether make supports nested variables... yes
> checking whether make supports nested variables... (cached) yes
> ...
> 
> If I remove AM_SILENT_RULES, the test is only done once.
> 
> Is this intended behaviour ?

I don't know. But AM_SILENT_RULES is supplied by automake, not autoconf, 
so it's better to ask your question on the correct list.  I've gone 
ahead and updated the CC's accordingly.

> 
> I'm on an updated Debian Stretch system using (Debian version syntax):
> autoconf 2.69-10
> automake 1:1.15-6
> 
> Regards Jacob
> 
> 

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3266
Virtualization:  qemu.org | libvirt.org